@import "!/styles/variables/index";

@mixin action-button() {
  color: #00427e;
  padding: $spacing-sm $spacing-md;
  font-weight: 600;
  background-color: #e5f3ff;
  border-bottom: $spacing-xs solid #5fbff9;

  &:hover,
  &:focus {
    color: #0122d5;
    background-color: #bff0ff;
    border-bottom-color: #0055ff;
    outline: none;
  }

  &[disabled] {
    color: gray;
    background-color: #ececec;
    border-bottom-color: #c8c8c8;
    cursor: default;
  }
}
